.x-keyboard-mode .x-tab {
    outline: none !important;
    -webkit-box-shadow: none !important;
    -moz-box-shadow: none !important;
    box-shadow: none !important;
}

.x-keyboard-mode .x-mask.x-focus {
    outline: none !important;
    -webkit-box-shadow: none !important;
    -moz-box-shadow: none !important;
    box-shadow: none !important;
    border-width: 0 !important;
}

.x-keyboard-mode .x-panel-header-default .x-tool-focus {
    outline: none !important;
    transform: scale(1.1);
}

.x-keyboard-mode .x-tab {
    outline: none !important;
    -webkit-box-shadow: none !important;
    -moz-box-shadow: none !important;
    box-shadow: none !important;
}

.x-keyboard-mode .x-mask.x-focus {
    outline: none !important;
    -webkit-box-shadow: none !important;
    -moz-box-shadow: none !important;
    box-shadow: none !important;
    border-width: 0 !important;
}

.x-keyboard-mode .x-panel-header-default .x-tool-focus {
    outline: none !important;
    transform: scale(1.1);
}

.x-keyboard-mode .x-btn-focus,
.x-keyboard-mode .x-btn-focus.x-btn-default-toolbar-small,
.x-keyboard-mode .x-btn-focus.x-btn-default-toolbar-medium,
.x-keyboard-mode .x-btn-focus.x-btn-default-toolbar-large,
.x-keyboard-mode .x-btn-focus.x-btn-over.x-btn-default-toolbar-small,
.x-keyboard-mode .x-btn-focus.x-btn-over.x-btn-default-toolbar-medium,
.x-keyboard-mode .x-btn-focus.x-btn-over.x-btn-default-toolbar-,
.x-keyboard-mode .x-btn-focus.x-btn-default-small,
.x-keyboard-mode .x-btn-focus.x-btn-default-large,
.x-keyboard-mode .x-btn-focus.x-btn-default-medium,
.x-keyboard-mode .x-btn-focus.x-btn-over.x-btn-default-small,
.x-keyboard-mode .x-btn-focus.x-btn-over.x-btn-default-medium,
.x-keyboard-mode .x-btn-focus.x-btn-over.x-btn-default-large,
.x-keyboard-mode .x-btn-focus.x-btn-pressed.x-btn-plain-toolbar-small,
.x-keyboard-mode .x-btn-focus.x-btn-plain-toolbar-small {
    outline: 0 !important;
    box-shadow: none !important;
}

.x-form-item-label-default.x-form-item-label-top {
    padding-top: 0;
    padding-right: 0;
    min-height: 24px;
    padding-bottom: 0;
    margin-bottom: 0;
}

.x-form-item-label-default.x-form-item-label-top > .x-form-item-label-inner {
    padding-top: 0;
    padding-bottom: 4px !important;
}

.x-form-item:not(.x-form-invalid):has(.x-form-error-wrap-under) {
    padding-bottom: 20px;
}

.x-form-text-default,
.i-link-field-wrap {
    line-height: 20px;
    min-height: 34px;
}

.x-form-invalid-under-default {
    padding-left: 2px;
    background-image: none;
}

.x-form-invalid-icon-default {
    background-image: url(../images/icon/state/exclamation.svg);
    background-size: 16px;
}

.x-form-trigger-default,
.x-form-trigger-text-small {
    border-radius: 4px;
    background-image: url(../images/icon/main/drop-down.svg);
    background-size: 16px;
    background-position: center !important;
    background-repeat: no-repeat;
    background-color: white;
    opacity: 0.6;
}

.x-rtl.x-form-trigger-default,
.x-rtl.x-form-trigger-text-small {
    background-image: url(../images/icon/main/drop-down.svg);
}

.x-form-trigger-default.x-form-trigger-over,
.x-form-trigger-text-small.x-form-trigger-over {
    opacity: 1;
}

.x-form-trigger-wrap-default,
.x-form-trigger-wrap-text-small {
    background-color: white;
}

.x-form-trigger-wrap-default input,
.x-form-trigger-wrap-text-small input {
    background-color: transparent;
}

.x-form-readonly .x-form-trigger-wrap-default,
.x-form-readonly .x-form-trigger-wrap-text-small {
    background-color: #F8F8F8;
    border-color: #F8F8F8 !important;;
}

.x-form-readonly .x-form-textarea {
    background-color: transparent;
}

.x-btn-wrap-primary-medium.x-btn-arrow-right:after,
.x-btn-wrap-primary-large.x-btn-arrow-right:after {
    background-image: url(../images/icon/white/drop-down.svg) !important;
    background-position: center !important;
    width: 16px;
    padding-right: 16px;
}

.x-btn-wrap-plain-borderless-medium.x-btn-arrow-right:after,
.x-btn-wrap-plain-borderless-medium.x-btn-arrow-right:after,
.x-btn-wrap-plain-toolbar-medium.x-btn-arrow-right:after,
.x-btn-wrap-plain-toolbar-medium.x-btn-arrow-right:after {
    background-image: url(../images/icon/main/drop-down.svg) !important;
    background-position: center !important;
    width: 16px;
    padding-right: 16px;
}

.x-btn-wrap-borderless-small.x-btn-arrow-right:after,
.x-btn-wrap-borderless-medium.x-btn-arrow-right:after,
.x-btn-wrap-borderless-large.x-btn-arrow-right:after,
.x-btn-wrap-default-small.x-btn-arrow-right:after,
.x-btn-wrap-default-medium.x-btn-arrow-right:after,
.x-btn-wrap-default-large.x-btn-arrow-right:after,
.x-btn-wrap-default-toolbar-small.x-btn-arrow-right:after,
.x-btn-wrap-default-toolbar-medium.x-btn-arrow-right:after,
.x-btn-wrap-default-toolbar-large.x-btn-arrow-right:after {
    background-image: url(../images/icon/main/drop-down.svg) !important;
    background-position: center !important;
    width: 16px;
    padding-right: 16px;
}

.x-btn-wrap-borderless-small.x-btn-arrow-right:after,
.x-btn-wrap-primary-small.x-btn-arrow-right:after,
.x-btn-wrap-default-small.x-btn-arrow-right:after,
.x-btn-wrap-default-toolbar-small.x-btn-arrow-right:after {
    width: 16px;
    padding-right: 16px;
}

.x-menu {
    border-radius: 4px;
    box-shadow: 0px 2px 12px 0px #0206171A;
}

.x-menu-header {
    background-color: white;
}

.x-menu-header .x-title-text {
    font-weight: 600;
    font-size: 14px;
    padding-left: 12px;
    padding-right: 12px;
    line-height: 20px;
    padding-top: 12px;
    color: #0f172a;
}

.i-filter-field {
    padding-left: 0;
    padding-right: 0;
    padding-bottom: 5px;
    margin-left: 0 !important;
    margin-right: 0 !important;
}

.x-menu-item {
    border-radius: 4px !important;
}

.x-menu-item-arrow-default {
    width: 16px;
    height: 16px;
    top: 9px !important;
    right: 0;
    background-image: url(../images/icon/main/drop-right.svg);
}

.x-menu-item-arrow-default.x-rtl {
    background-image: url(../images/icon/main/drop-left.svg);
}


.i-more-label {
    font-size: 12px;
    line-height: 32px;
}

.x-column-header-over .x-column-header-trigger,
.x-column-header-open .x-column-header-trigger {
    width: 27px;
    background-color: transparent;
    background-size: 16px;
    background-position: center;
    background-image: url(../images/icon/main/drop-down.svg);
}

.x-hmenu-sort-asc {
    background-image: url(../images/icon/main/arrow-up.svg);
}

.x-column-header-sort-ASC .x-column-header-text-inner {
    background-image: url(../images/icon/main/arrow-up.svg);
}

.x-hmenu-sort-desc {
    background-image: url(../images/icon/main/arrow-down.svg);
}

.x-column-header-sort-DESC .x-column-header-text-inner {
    background-image: url(../images/icon/main/arrow-down.svg);
}

.x-menu-item-icon-default {
    background-size: contain;
}

.x-menu-item-checked .x-menu-item-icon-default.x-menu-item-checkbox {
    background-image: url(../images/components/checkbox/checkbox-checked.svg);
}

.x-menu-item-unchecked .x-menu-item-icon-default.x-menu-item-checkbox {
    background-image: url(../images/components/checkbox/checkbox-unchecked.svg);
}

.x-cols-icon {
    background-image: url(../images/icon/main/columns.svg);
}

.x-tab-bar {
    /*border-radius: 4px;*/
}

.x-tab-bar-default {
    background-color: transparent;
}

/*.x-tab:first-child {
    border-top-left-radius: 4px;
    border-bottom-left-radius: 4px;
}

.x-rtl .x-tab:first-child {
    border-top-left-radius: 0;
    border-bottom-left-radius: 0;
    border-top-right-radius: 4px;
    border-bottom-right-radius: 4px;
}

.x-tab:last-child {
    border-top-right-radius: 4px;
    border-bottom-right-radius: 4px;
}

.x-rtl .x-tab:last-child {
    border-top-right-radius: 0;
    border-bottom-right-radius: 0;
    border-top-left-radius: 4px;
    border-bottom-left-radius: 4px;
}*/
.x-tab.x-tab-active.x-tab-default:after {
    content: ' ';
    position: absolute;
    bottom: 0;
    left: 0;
    right: 0;
    border-bottom: 2px solid #1E3A8A;
}

.x-column-header:after {
    content: ' ';
    position: absolute;
    border-left: 1px solid var(--border);
    height: calc(100% - 20px);
    top: 10px;
    left: 0;
    width: 1px;
    z-index: 1000;
}

.x-column-header:first-child:after {
    content: none;
}

.x-grid-cell {
    position: relative;
}

.x-grid-cell:after {
    content: ' ';
    position: absolute;
    border-left: 1px solid var(--border);
    height: calc(100% - 24px);
    top: 12px;
    left: 0;
    width: 1px;
    z-index: 1000;
}

.x-grid-item-selected .x-grid-cell:after {
    border-left-color: #929495;
}

.x-grid-cell:first-child:after {
    content: none;
}

.x-grid-item-selected .x-grid-cell:first-child:before {
    content: ' ';
    position: absolute;
    border-left: 3px solid #1E3A8A;
    top: 0;
    bottom: 0;
    left: 0;
    z-index: 1000;
}

.x-grid-cell-special {
    border-right-color: transparent;
}

.x-grid-body {
    border-width: 0;
}

.x-column-header-checkbox .x-column-header-inner {
    padding: 12px 4px 8px 4px;
}

.i-compact-view .x-column-header-checkbox .x-column-header-inner {
    padding: 6px 0px 4px 4px;
}

.x-grid-checkcolumn-cell-inner {
    padding: 10px 4px 10px 4px;
}

.x-column-header-checkbox .x-column-header-checkbox:after, .x-grid-checkcolumn:after {
    content: " ";
    height: 20px;
    width: 20px;
    background-image: url(../images/components/checkbox/checkbox-unchecked.svg);
    display: inline-block;
}

.x-grid-hd-checker-on .x-column-header-checkbox:after, .x-grid-checkcolumn-checked:after {
    background-position: center;
    background-image: url(../images/components/checkbox/checkbox-checked.svg);
}

.x-grid-item-selected .x-selmodel-column .x-grid-checkcolumn:after {
    background-position: center;
    background-image: url(../images/components/checkbox/checkbox-checked.svg);
}

.x-mask.i-modal-mask {
    background-color: #00000022;
}

.x-mask {
    background-color: #77000000;
    /*backdrop-filter: blur(2px);*/
}

.x-mask-msg-text {
    padding: 46px 0px 0px 0px;
    background-image: url(../images/components/loading/loading.svg);
    background-repeat: no-repeat;
    background-position: center top;
}

.x-field:not(.x-form-empty-field) .x-form-trigger-wrap-default:not(.x-form-trigger-wrap-invalid) {
    border-color: #9CA3AF;
}

.x-form-display-field-default {
    min-height: 36px;
    padding-top: 9px;
    border-radius: 4px;
    margin-top: 0;
    padding-left: 8px;
    border: 1px solid transparent;
}

.i-version-field .x-form-display-field-default {
    padding-top: 7px;
}

.x-form-readonly .x-form-display-field-default {
    background-color: #F8F8F8;
    border-color: #F8F8F8 !important;
}

.x-form-cb-default {
    margin-top: 8px;
}

.x-grid-cell .x-form-cb-default {
    margin-top: 0;
}

.x-form-cb-label-default.x-form-cb-label-after {
    padding-left: 24px;
}

.x-form-checkbox-default, .x-form-radio-default {
    width: 20px;
    height: 20px;
}

.x-form-checkbox-default {
    background-image: url(../images/components/checkbox/checkbox-unchecked.svg);
    background-position: center;

}

.x-keyboard-mode .x-form-checkbox-focus.x-form-checkbox-default {
    background-image: url(../images/components/checkbox/checkbox-unchecked-focus.svg);
    background-position: center;
}

.x-form-cb-checked .x-form-checkbox-default {
    background-image: url(../images/components/checkbox/checkbox-checked.svg);
    background-position: center;
}

.x-keyboard-mode .x-form-cb-checked .x-form-checkbox-focus.x-form-checkbox-default {
    background-image: url(../images/components/checkbox/checkbox-checked-focus.svg);
    background-position: center;
}

.x-form-radio-default {
    background-image: url(../images/components/radio/checkbox-unchecked.svg);
    background-position: center;

}

.x-keyboard-mode .x-form-checkbox-focus.x-form-radio-default {
    background-image: url(../images/components/radio/checkbox-unchecked-focus.svg);
    background-position: center;
}

.x-form-cb-checked .x-form-radio-default {
    background-image: url(../images/components/radio/checkbox-checked.svg);
    background-position: center;
}

.x-keyboard-mode .x-form-cb-checked .x-form-checkbox-focus.x-form-radio-default {
    background-image: url(../images/components/radio/checkbox-checked-focus.svg);
    background-position: center;
}

.i-checkbox-align-right .x-form-cb {
    right: 6px;
    left: auto;
}

.x-tool-close {
    background-position: center;
    /*background-image: url(../images/icon/white/close.svg);*/
    background-image: url(../images/icon/main/close.svg);
    background-size: 16px;
}

/*.x-window .x-tool-close {
    background-position: center;
    background-image: url(../images/icon/main/close.svg);
}*/
.x-tool-maximize {
    background-position: center;
    background-size: 16px;
    background-image: url(../images/icon/main/maximize.svg);
}

.x-tool-restore {
    background-position: center;
    background-size: 16px;
    background-image: url(../images/icon/main/minimize.svg);
}

.x-tool-over .x-tool-img {
    transform: scale(1.1);
}

.x-window-header-default-top {
    background-color: white;
    border-bottom: 1px solid var(--border) !important;
}

.x-window-header-title-default {
    color: var(--text_primary);
    font-size: 20px;
    font-weight: 600;
    line-height: 28px;
}

.x-window-header-default .x-tool-img {
    background-color: transparent;
}

.x-window .x-toolbar-footer {
    padding-top: 12px;
    padding-bottom: 11px;
    padding-right: 16px;
}

.x-window.x-message-box {
    background-color: white;
    background-image: none !important;
    position: relative;
}

/*.x-window.x-message-box:before {
    content: ' ';
    width: 56px;
    background-color: #0F172A1A;
}*/
/* Vertical line - fixed width, full height */
/* Vertical line - absolute positioned on the left */
.x-window.x-message-box .i-message-box-line {
    position: absolute;
    left: 0;
    top: 0;
    bottom: 0;
    width: 56px;
    height: 100%;
    background-color: #0F172A1A;
    z-index: 1000;
}

.x-window.x-message-box .i-message-box-line:after {
    content: ' ';
    position: absolute;
    background-image: url(../images/icon/state/info.svg);
    background-repeat: no-repeat;
    background-size: contain;
    height: 32px;
    width: 32px;
    top: 16px;
    left: 12px;
    z-index: 1000;
}

/* Add left padding to header to account for the line */
.x-window.x-message-box > .x-window-header {
    padding-left: 72px;
    border-bottom-width: 0 !important;
}

/* Add left padding to body to account for the line */
.x-window.x-message-box .x-window-text {
    padding-left: 62px; /* +10px is done by message box */
    padding-right: 6px;
}

/* Add left padding to footer/toolbar to account for the line */
.x-window.x-message-box .x-toolbar-footer {
    padding-left: 56px;
    padding-right: 6px;
}

/* Alternative: if toolbar is docked */
/*.x-window.x-message-box .x-toolbar-docked-bottom {
    padding-left: 56px;
}*/

.x-window.x-message-box .x-window-header-default-top {
    background-color: white;
    border-top-left-radius: 0;
}

.x-window.x-message-box .x-toolbar-footer {
    background-color: white;
}

.x-window.x-message-box .x-window-header-title-default {
    color: var(--text_primary);
    font-size: 16px;
    font-weight: 500;
    line-height: 36px;
}

.x-window.x-message-box .x-tool-close {
    background-position: center;
    background-image: url(../images/icon/main/close.svg);
}


.x-window.x-message-box.x-message-box-error .i-message-box-line {
    background-color: #EF44441A;
}

.x-window.x-message-box.x-message-box-error .i-message-box-line:after {
    background-image: url(../images/icon/state/error.svg);
}

.x-window.x-message-box.x-message-box-question .i-message-box-line {
    background-color: #1D4ED81A;
}

.x-window.x-message-box.x-message-box-question .i-message-box-line:after {
    background-image: url(../images/icon/state/question.svg);
}

.x-window.x-message-box.x-message-box-warning .i-message-box-line {
    background-color: #E48D221A;
}

.x-window.x-message-box.x-message-box-warning .i-message-box-line:after {
    background-image: url(../images/icon/state/warning.svg);
}

.x-window.x-message-box.x-message-box-success .i-message-box-line {
    background-color: #19A5201A;
}

.x-window.x-message-box.x-message-box-success .i-message-box-line:after {
    background-image: url(../images/icon/state/success.svg);
}

body.x-border-layout-ct, div.x-border-layout-ct:not(.i-panel-zone-container) {
    background-color: transparent;
}

/*.x-grid-header-ct {
  border-top-width: 0;
}*/

.x-splitter-vertical:after,
.x-splitter-horizontal:after {
    content: ' ';
    height: 16px !important;
    width: 16px !important;
    background-image: url(../images/icon/main/splitter-v.svg);
    background-position: center !important;

    top: calc(50% - 8px) !important;
    left: calc(50% - 8px) !important;
    position: absolute;
    z-index: 1;
}

.x-splitter-horizontal:after {
    background-image: url(../images/icon/main/splitter-h.svg);
}


.x-grid-header-ct {
    border-top-width: 0;
}

.x-btn-icon > .x-btn-icon-el {
    background-size: contain;
}

.x-form-field-date .x-form-date-trigger {
    background-image: url(../images/icon/main/calendar.svg) !important;
    background-position: center !important;
}

.x-form-text-default .x-tagfield-item-close {
    width: 8px;
    height: 8px;
    top: 3px;
    right: 3px;
    -ms-filter: "progid:DXImageTransform.Microsoft.Alpha(Opacity=1)" !important;
    opacity: 1 !important;
    background-position: center !important;
    background-image: url(../images/icon/main/close.svg);
}

.x-form-readonly .x-tagfield-item-close {
    display: none;
}

.x-form-readonly .x-form-text-default .x-tagfield-item {
    padding-right: 5px;
    padding-left: 5px;
}

.i-form-read-only .x-form-readonly .x-form-trigger-wrap-default {
    /*background-color: transparent;*/
    border-width: 0 !important;
}

.i-form-read-only .x-form-readonly .x-form-text-default {
    /*padding: 0;*/
    /*min-height: 24px;*/
}

.x-grid-empty, .i-dashboard-empty-data {
    text-align: center;
    color: var(--text_secondary);
    background-color: transparent;
    height: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
}

.x-tab-default-top:first-child {
    margin-left: 0;
}

.x-tab-default-top:last-child {
    margin-right: 0;
}

.x-form-item-label-right .x-form-item-label-inner {
    padding-right: 5px;
}

.x-tabpanel-child {
    margin-top: 5px;
}

.x-tbar-page-first {
    background-image: url(../images/icon/main/nav-first.svg) !important;
}

.x-tbar-page-prev {
    background-image: url(../images/icon/main/nav-prev.svg) !important;
}

.x-tbar-page-next {
    background-image: url(../images/icon/main/nav-next.svg) !important;
}

.x-tbar-page-last {
    background-image: url(../images/icon/main/nav-last.svg) !important;
}

.x-rtl .x-tbar-page-first {
    background-image: url(../images/icon/main/nav-last.svg) !important;
}

.x-rtl .x-tbar-page-prev {
    background-image: url(../images/icon/main/nav-next.svg) !important;
}

.x-rtl .x-tbar-page-next {
    background-image: url(../images/icon/main/nav-prev.svg) !important;
}

.x-rtl .x-tbar-page-last {
    background-image: url(../images/icon/main/nav-first.svg) !important;
}

.x-tool-expand-top {
    background-image: url(../images/icon/main/up.svg) !important;
}

.x-tool-expand-down {
    background-image: url(../images/icon/main/down.svg) !important;
}

.x-tool-expand-left {
    background-image: url(../images/icon/main/left.svg) !important;
}

.x-tool-expand-right {
    background-image: url(../images/icon/main/right.svg) !important;
}

.x-rtl .x-tool-expand-left {
    background-image: url(../images/icon/main/right.svg) !important;
}

.x-rtl .x-tool-expand-right {
    background-image: url(../images/icon/main/left.svg) !important;
}

.x-tool-collapse-top {
    background-image: url(../images/icon/main/up.svg) !important;
}

.x-tool-collapse-down {
    background-image: url(../images/icon/main/down.svg) !important;
}

.x-tool-collapse-left {
    background-image: url(../images/icon/main/left.svg) !important;
}

.x-tool-collapse-right {
    background-image: url(../images/icon/main/right.svg) !important;
}

.x-rtl .x-tool-collapse-left {
    background-image: url(../images/icon/main/right.svg) !important;
}

.x-rtl .x-tool-collapse-right {
    background-image: url(../images/icon/main/left.svg) !important;
}

.x-collapsed.x-panel-header-default-vertical {
    padding: 16px 8px 16px 4px;
}

.x-collapsed.x-panel-header-default-horizontal {
    padding: 8px 16px 4px 16px;
}

.x-tree-no-lines .x-tree-expander,
.x-tree-expander {
    background-image: url(../images/icon/main/down.svg);
}

.x-tree-no-lines .x-grid-tree-node-expanded .x-tree-expander,
.x-grid-tree-node-expanded .x-tree-expander {
    background-image: url(../images/icon/main/up.svg);
}

.x-tree-icon-leaf {
    background-image: url(../images/icon/main/document.svg);
}

.x-tree-icon-parent {
    background-image: url(../images/icon/main/folder.svg);
}

.x-tree-icon-parent-expanded {
    background-image: url(../images/icon/main/folder_open.svg);
}

.x-grid-group-hd-collapsed .x-grid-group-title {
    background-image: url(../images/components/grid/group-close.svg) !important;
}

.x-grid-group-hd-collapsible .x-grid-group-title,
.x-grid-group-title {
    background-image: url(../images/components/grid/group-open.svg);
    background-position: 6px center;
    background-repeat: no-repeat;
}

.x-grid-group-hd-collapsible .x-grid-group-title,
.x-grid-group-title {
    padding: 0 0 0 50px;
}

.x-grid-group-title {
    color: #1E3A8A;
    font-size: 14px;
    line-height: 20px;
}

.x-grid-group-hd {
    border-color: var(--border);
    padding: 12px 12px;
    background: white;
    position: relative;
}

.x-grid-with-row-lines .x-grid-item {
    border-top-width: 1px;
}

.x-grid-group-hd:before {
    content: ' ';
    position: absolute;
    top: 0;
    left: 0;
    width: 4px;
    z-index: 10000;
    display: block;
    background-color: #1E3A8A;
    bottom: 0;
}

.x-grid-group-hd:after {
    content: ' ';
    position: absolute;
    top: 3px;
    left: 46px;
    width: 1px;
    z-index: 10000;
    display: block;
    background-color: var(--border);
    bottom: 3px;
}

.x-datepicker-month .x-btn-inner {
    color: #1E3A8A;
}

.x-datepicker-today {
    border-color: #1D4ED8;
}

.x-datepicker-selected div.x-datepicker-date {
    background-color: #E5E7EB;
    color: #000;
}

.x-datepicker-prev {
    background: url(../images/icon/main/nav-prev.svg) no-repeat center;
    background-size: contain;
    height: 16px;
    width: 16px;
}

.x-monthpicker-yearnav-prev {
    background: url(../images/icon/main/nav-prev.svg) no-repeat center;
    background-size: contain;
    height: 16px;
    width: 16px;
}

.x-datepicker-next {
    background: url(../images/icon/main/nav-next.svg) no-repeat center;
    background-size: contain;
    height: 16px;
    width: 16px;
}

.x-monthpicker-yearnav-next {
    background: url(../images/icon/main/nav-next.svg) no-repeat center;
    background-size: contain;
    height: 16px;
    width: 16px;
}

.x-datepicker {
    border-radius: 4px;
}

.x-boundlist-default {
    border-radius: 4px;
}

.x-grid-item {
    line-height: 20px;
}

.x-grid-cell .x-form-cb-wrap-default {
    height: 20px;
    min-width: 15px;
}

.x-grid-cell .x-form-item-body-default {
    min-height: 20px;
}

/********************* HTML Editor ************************/
.x-html-editor-tb .x-edit-bold, .x-menu-item div.x-edit-bold {
    background-position: center;
    background-image: url(../images/components/htmleditor/font-bold.svg);
}

.x-html-editor-tb .x-edit-italic, .x-menu-item div.x-edit-italic {
    background-position: center;
    background-image: url(../images/components/htmleditor/font-italic.svg);
}

.x-html-editor-tb .x-edit-underline, .x-menu-item div.x-edit-underline {
    background-position: center;
    background-image: url(../images/components/htmleditor/font-underline.svg);
}

.x-html-editor-tb .x-edit-increasefontsize, .x-menu-item div.x-edit-increasefontsize {
    background-position: center;
    background-image: url(../images/components/htmleditor/font-up.svg);
}

.x-html-editor-tb .x-edit-decreasefontsize, .x-menu-item div.x-edit-decreasefontsize {
    background-position: center;
    background-image: url(../images/components/htmleditor/font-down.svg);
}

.x-html-editor-tb .x-edit-forecolor, .x-menu-item div.x-edit-forecolor {
    background-position: center;
    background-image: url(../images/components/htmleditor/text.svg);
}

.x-html-editor-tb .x-edit-backcolor, .x-menu-item div.x-edit-backcolor {
    background-position: center;
    background-image: url(../images/components/htmleditor/text-bg.svg);
}

.x-html-editor-tb .x-edit-justifyleft, .x-menu-item div.x-edit-justifyleft {
    background-position: center;
    background-image: url(../images/components/htmleditor/align-left.svg);
}

.x-html-editor-tb .x-edit-justifyright, .x-menu-item div.x-edit-justifyright {
    background-position: center;
    background-image: url(../images/components/htmleditor/align-right.svg);
}

.x-html-editor-tb .x-edit-justifycenter, .x-menu-item div.x-edit-justifycenter {
    background-position: center;
    background-image: url(../images/components/htmleditor/align-center.svg);
}

.x-html-editor-tb .x-edit-createlink, .x-menu-item div.x-edit-createlink {
    background-position: center;
    background-image: url(../images/components/htmleditor/link.svg);
}

.x-html-editor-tb .x-edit-insertorderedlist, .x-menu-item div.x-edit-insertorderedlist {
    background-position: center;
    background-image: url(../images/components/htmleditor/li-number.svg);
}

.x-html-editor-tb .x-edit-insertunorderedlist, .x-menu-item div.x-edit-insertunorderedlist {
    background-position: center;
    background-image: url(../images/components/htmleditor/li-bullet.svg);
}

.x-html-editor-tb .x-edit-sourceedit, .x-menu-item div.x-edit-sourceedit {
    background-position: center;
    background-image: url(../images/components/htmleditor/edti-source.svg);
}

.x-html-editor-tb .x-font-select {
    font-size: 14px;
    font-family: inherit;
    border-radius: 4px;
    padding: 6px 8px;
}

.x-html-editor-container {
    border-color: var(--border-color);
    border-radius: 4px;
}

.x-grid-header-ct.x-panel-default-outer-border-trl {
    border-top-left-radius: 4px;
    border-top-right-radius: 4px;
}

.x-grid .x-grid-header-ct.x-panel-default-outer-border-rl {
    border-top-width: 1px;
    border-top-left-radius: 4px;
    border-top-right-radius: 4px;
}

.x-grid .x-toolbar.x-toolbar-docked-top.x-panel-default-outer-border-trl,
.x-grid .x-toolbar.x-toolbar-docked-top.x-panel-default-outer-border-rl {
    border-top-width: 0 !important;
    border-left-width: 0 !important;
    border-right-width: 0 !important;
}

.x-grid {
    /*border-radius: 4px;*/
    /*border: 1px solid red;*/
    margin-bottom: 2px;
    margin-right: 2px;
}

.i-panel-zone.x-grid {
    margin-bottom: 0;
    margin-right: 0;
}

.x-grid > .x-panel-bodyWrap {
    overflow: visible;
}

.x-grid-body.x-panel-default-outer-border-rbl {
    border-bottom-left-radius: 4px;
    border-bottom-right-radius: 4px;
}

.x-grid .x-docked-summary.x-docked-summary-bottom.x-panel-default-outer-border-rbl {
    border-bottom-left-radius: 4px;
    border-bottom-right-radius: 4px;
    border-top-width: 1px !important;
}

.x-grid-paging-toolbar {
    margin-bottom: 2px;
}

.x-grid-paging-toolbar.x-panel-default-outer-border-rbl {
    border-bottom-left-radius: 4px;
    border-bottom-right-radius: 4px;
    border-top-width: 1px !important;
}

.x-grid .x-panel-bodyWrap .x-grid-header-ct-hidden ~ .x-panel-body.x-panel-default-outer-border-rbl,
.x-grid .x-panel-bodyWrap .x-grid-header-ct-hidden ~ .x-panel-body.x-panel-default-outer-border-rl {
    border-top-width: 1px !important;
    border-top-left-radius: 4px;
    border-top-right-radius: 4px;
}

.x-checkbox-default-cell > .x-grid-cell-inner {
    padding-top: 12px;
    padding-bottom: 12px;
}

.i-compact-view .x-grid-cell-inner {
    padding: 8px 16px 8px;
}

.i-compact-view .x-column-header-inner {
    padding: 6px 24px 6px 16px;
}

.x-menu-item-default.x-menu-item-separator {
    border-top: solid 1px var(--border);
    background-color: transparent;
}

.x-monthpicker-item {
    font-size: 12px;
}

.i-daterange-picker {
    border-radius: 4px;
    border: 1px solid var(--border);
    background-color: #fff;
}

.i-daterange-picker .x-datepicker {
    border-radius: 4px;
    /* border-width: 0 !important; */
    overflow: hidden;
}

.i-compact-view .x-form-text-default {
    padding-top: 6px;
    padding-bottom: 6px;
    min-height: 30px;
}

.i-compact-view .x-form-text-default.x-tagfield {
    padding-top: 5px;
    padding-bottom: 1px;
}

.i-compact-view .x-form-display-field-default {
    min-height: 30px;
}

.i-compact-view  .i-version-field .x-form-display-field-default {
    padding-top: 5px;
}
